/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'tymc',
				prop: 'tymc',
				dataType: 'TEXT',
			},
			{
				name: 'tbydkname',
				prop: 'tbydkname',
				dataType: 'TEXT',
			},
			{
				name: 'lb',
				prop: 'lb',
				dataType: 'SSCODELIST',
			},
			{
				name: 'tynr',
				prop: 'tynr',
				dataType: 'TEXT',
			},
			{
				name: 'srfmajortext',
				prop: 'tbydkname',
				dataType: 'TEXT',
			},
			{
				name: 'srfdataaccaction',
				prop: 'tbydkid',
				dataType: 'GUID',
			},
			{
				name: 'srfkey',
				prop: 'tbydkid',
				dataType: 'GUID',
			},
			{
				name: 'tbydk',
				prop: 'tbydkid',
			},


      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'page',
        prop:'page'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'srfparentdata',
        prop:'srfparentdata'
      }
		]
	}

}